<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <!--<ion-menu-button color="secondary" *ngIf="params.rootcaller==null"></ion-menu-button>-->      
      <ion-button size="small" shape="round" (click)="closeModal()" color="light" *ngIf="params.rootcaller!=null">
        <ion-icon slot="start" name="close"></ion-icon> Close
      </ion-button>
    </ion-buttons>
    <ion-title>
        <ion-text color="light">
          <ion-text color="light" class="fw700">Queue</ion-text>
        </ion-text>
    </ion-title>
    <ion-buttons slot="end">
      <!--
      <ion-button size="small" shape="round" color="light" (click)="showNotifications()">
        <ion-icon name="notifications"></ion-icon>
        <ion-badge color="danger" slot="end">2</ion-badge>
      </ion-button>
      -->
      <ion-button size="small" shape="round" color="light" (click)="reRouteBackTo('queue-call')">        
        <ion-icon name="megaphone"></ion-icon>
      </ion-button>
      <ion-button size="small" shape="round" color="light" (click)="reRouteTo('edit-profile')">
          <ion-icon name="person"></ion-icon>          
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
  <ion-toolbar color="light">
    <ion-searchbar [(ngModel)]="searchKey" (ionChange)="filterData()"></ion-searchbar>    
    <ion-buttons slot="end">
        <ion-button *ngIf="user.RoleCode=='FDO'" color="success" fill="solid" expand="block" (click)="newItem()">
            <ion-icon slot="start" size="large" name="add"></ion-icon>
          New
        </ion-button>
      </ion-buttons>
  </ion-toolbar>  
  <ion-toolbar color="primary">    
    <ion-grid class="datagrid">      
      <ion-row>
          <ion-col size="2">Customer</ion-col>
          <ion-col size="2">Photo Image</ion-col>
          <ion-col size="2">Appointment Time</ion-col>
          <ion-col size="2">Registration Time</ion-col>
          <ion-col size="1">Waiting Time</ion-col>
          <ion-col offset="1" size="2">Assigned SA/Time Spent with Current Customer</ion-col>
      </ion-row>
      </ion-grid>      
  </ion-toolbar>

</ion-header>
<ion-content style="background-color:#ffffff;">   
  <ion-grid style="padding:0px;" *ngFor="let item of items; let i = index;">
    <ion-row [ngClass]="(i % 2 == 0) ? 'odd' : 'even'" (click)="viewItem(item.Id)" nowrap>
      <ion-col size="2">
        <p style="text-align: center;">
            <ion-text color="primary">{{item.RegNo}}</ion-text> <br />
            <strong>{{item.CustomerName}}</strong> <br />
            <ion-text>({{item.ApptTime?'BK':'NBK'}} )</ion-text>
        </p>
      </ion-col>                      
      <ion-col size="2">
          <img src="{{item.PictureUrl?imgpath+item.PictureUrl:'assets/img/avatar.png'}}"  (click)="presentImage(item.PictureUrl?imgpath+item.PictureUrl:'assets/img/avatar.png')"/>          
      </ion-col>        
      <ion-col size="2">{{item.ApptTime}}</ion-col>
      <ion-col size="2">{{item.QueuedOn}}</ion-col>
      <ion-col size="1">{{item.TimeWaited}} mins</ion-col>
      <ion-col size="1">
          <ion-icon name="clock" size="large" 
            color="{{ item.Status=='Completed'?'medium':
                      item.TimeWaited>item.WaitCritical?'danger':
                      item.TimeWaited>item.WaitWarning?'warning':'success'
                    }}">
          </ion-icon>
      </ion-col>
      <ion-col size="2">
        {{item.CSAName}}<br />
        <ion-text>{{item.Status}}</ion-text> <br />
        <ion-text color="primary">{{item.ServeTime}} mins</ion-text> <br />
        <ion-icon name="star" *ngIf="item.IsPriorityPlus || item.IsVIP" color="{{item.IsPriorityPlus?'warning':'primary'}}"></ion-icon>
        <ion-icon name="key" *ngIf="item.IsKeyDrop"></ion-icon>
      </ion-col>
    </ion-row>
  </ion-grid> 
</ion-content>
